# TabOrderManager

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides automatic tab order management to containers.

{% tabs %}
{% tab title="C#" %}

```csharp
public class TabOrderManager : Component, IExtenderProvider
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class TabOrderManager
    Inherits Component
    Implements IExtenderProvider
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) TabOrderManager()

Initializes a new instance of the [TabOrderManager](/api/wisej.web/extenders/wisej.web.tabordermanager.md) without a specified container.

### ![](/files/hsR4ok3152WyAf8J2C1u) TabOrderManager(container)

Initializes a new instance of the [TabOrderManager](/api/wisej.web/extenders/wisej.web.tabordermanager.md) class with a specified container.

| Name          | Type                                                                                 | Description                                                                                                                                                                                 |
| ------------- | ------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **container** | [IContainer](https://docs.microsoft.com/dotnet/api/system.componentmodel.icontainer) | An [IContainer](https://docs.microsoft.com/dotnet/api/system.componentmodel.icontainer) that represents the container of the [JavaScript](/api/wisej.web/extenders/javascript.md) extender. |

## Methods

### ![](/files/lIX317sDtMTZJBi9oSIx) AssignTabOrder(container, direction, tabIndex, deep)

Updates the [TabIndex](/api/wisej.web/general/control.md#tabindex) of all the children controls.

| Parameter     | Type                                                                                          | Description                                                                                                                                    |
| ------------- | --------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| **container** | [Control](/api/wisej.web/general/control.md)                                                  | Container owning the children to update.                                                                                                       |
| **direction** | [TabOrderManagerDirection](/api/wisej.web/enumerations/wisej.web.tabordermanagerdirection.md) | One of [TabOrderManagerDirection](/api/wisej.web/enumerations/wisej.web.tabordermanagerdirection.md) indicating how to increase the tab index. |
| **tabIndex**  | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                                   | Starting tab index.                                                                                                                            |
| **deep**      | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean)                               | True to assign the tab index of all children at all levels.                                                                                    |

**Returns:** [Int32](https://docs.microsoft.com/dotnet/api/system.int32).

### ![](/files/hsR4ok3152WyAf8J2C1u) Clear()

Removes all [TabOrderManagerDirection](/api/wisej.web/enumerations/wisej.web.tabordermanagerdirection.md) values.

### ![](/files/hsR4ok3152WyAf8J2C1u) GetTabOrder(container)

Returns or sets the [TabOrderManagerDirection](/api/wisej.web/enumerations/wisej.web.tabordermanagerdirection.md) assigned to the specified container.

| Parameter     | Type                                         | Description                                                                                                                                                                                                   |
| ------------- | -------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **container** | [Control](/api/wisej.web/general/control.md) | The container that will use the [TabOrderManager](/api/wisej.web/extenders/wisej.web.tabordermanager.md) to automatically arrange the [TabIndex](/api/wisej.web/general/control.md#tabindex) of its children. |

**Returns:** [TabOrderManagerDirection](/api/wisej.web/enumerations/wisej.web.tabordermanagerdirection.md). One of the [TabOrderManagerDirection](/api/wisej.web/enumerations/wisej.web.tabordermanagerdirection.md) values.

### ![](/files/hsR4ok3152WyAf8J2C1u) ResetTabOrder(container)

Resets the [TabOrderManagerDirection](/api/wisej.web/enumerations/wisej.web.tabordermanagerdirection.md) assigned to the specified *container* .

| Parameter     | Type                                         | Description |
| ------------- | -------------------------------------------- | ----------- |
| **container** | [Control](/api/wisej.web/general/control.md) |             |

### ![](/files/hsR4ok3152WyAf8J2C1u) SetTabOrder(container, value)

Adds the [TabOrderManagerDirection](/api/wisej.web/enumerations/wisej.web.tabordermanagerdirection.md) to the specified container.

| Parameter     | Type                                                                                          | Description                                                                                                                      |
| ------------- | --------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| **container** | [Control](/api/wisej.web/general/control.md)                                                  | The container to assign the [TabOrderManagerDirection](/api/wisej.web/enumerations/wisej.web.tabordermanagerdirection.md) to.    |
| **value**     | [TabOrderManagerDirection](/api/wisej.web/enumerations/wisej.web.tabordermanagerdirection.md) | New [TabOrderManagerDirection](/api/wisej.web/enumerations/wisej.web.tabordermanagerdirection.md) to assign to the *container* . |

### ![](/files/hsR4ok3152WyAf8J2C1u) UpdateTabOrder()

Updates the tab order of the top container and all its child containers.

### ![](/files/hsR4ok3152WyAf8J2C1u) UpdateTabOrder(container, direction)

Updates the [TabIndex](/api/wisej.web/general/control.md#tabindex) of all children controls using the specified [TabOrderManagerDirection](/api/wisej.web/enumerations/wisej.web.tabordermanagerdirection.md) to calculate the tabbing order.

| Parameter     | Type                                                                                          | Description                                                                                                                                |
| ------------- | --------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| **container** | [Control](/api/wisej.web/general/control.md)                                                  | The [Control](/api/wisej.web/general/control.md) that container the child control to update.                                               |
| **direction** | [TabOrderManagerDirection](/api/wisej.web/enumerations/wisej.web.tabordermanagerdirection.md) | The [TabOrderManagerDirection](/api/wisej.web/enumerations/wisej.web.tabordermanagerdirection.md) used to determine the new tabbing order. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/extenders/wisej.web.tabordermanager.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
